Name:           gossip
Version:        2.0.0
Release:        2%{?dist}
Summary:        Small and fast logging provider for SLF4j
License:        ASL 2.0
URL:            http://github.com/jdillon/gossip
Source0:        http://github.com/jdillon/gossip/archive/release-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.fusesource.jansi:jansi)
BuildRequires:  mvn(org.slf4j:slf4j-api)

%description
Small and fast logging provider for SLF4j with following features.
* Small footprint ~75k (even smaller for gossip-bootstrap-slf4j ~20K)
* Profile-based configuration
* Profile activation triggers
* Multiple source inputs
* Console and rolling file listeners
* ANSI color rendering
* Internal logging
* SLF4j support, helpers and utilities

%package        javadoc
Summary:        Javadoc %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n gossip-release-%{version}

# Note: during building package there are occuring two  warnings
# 1) about architecture dependent encoding (ANSI_X3.4-1968). Ignore
# 2) about ignoring metadata dependeci on eclipse datatools. Bug, ignore

#Getting rid of dependencies which are useless in release (only for upstream)
%pom_remove_parent
%pom_remove_plugin org.codehaus.mojo:animal-sniffer-maven-plugin

# Getting rid of duplicit package-info.java files which do cause trouble for 
# javadoc because they contain only licence header and useless import. 
# (No compilation or build error occures with these files removed)
find -name package-info.java -delete

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%files javadoc -f .mfiles-javadoc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 8 2016 Roman Vais <rvais@redhat.com> - 2.0.0-1
- Initial packaging
